return {
  'mrcjkb/rustaceanvim',
  ft = { 'rust' },
  config = function()
    vim.g.rustaceanvim = {
      server = {
        on_attach = function(client, bufnr)
          local options = { noremap = true, silent = false, buffer = bufnr }
          vim.keymap.set('n', '<space>y', function() vim.cmd.RustLsp { 'hover', 'actions' } end,
            vim.tbl_extend('error', options, { desc = 'Hover' }))
        end
      }
    }
  end
}
